FreeBSD VuXML: Documenting security issues in FreeBSD and the FreeBSD Ports Collection

pcre -- arbitrary code execution

Affected packages
pcre < 7.3
pcre-utf8 < 7.3


VuXML ID bfd6eef4-8c94-11dc-8c55-001c2514716c
Discovery 2007-11-05
Entry 2007-11-06

Debian project reports:

Tavis Ormandy of the Google Security Team has discovered several security issues in PCRE, the Perl-Compatible Regular Expression library, which potentially allow attackers to execute arbitrary code by compiling specially crafted regular expressions.


CVE Name CVE-2007-1659
CVE Name CVE-2007-1660
CVE Name CVE-2007-1661
CVE Name CVE-2007-1662
CVE Name CVE-2007-4766
CVE Name CVE-2007-4767
CVE Name CVE-2007-4768